<div class="container">

  <div class="row" align="center">

      <div class="grafico">
        <h2>Popularidade no Twitter</h2>
        <canvas id="graficoTwitter" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Popularidade no Facebook</h2>
        <canvas id="graficoFacebook" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Popularidade no Instagram</h2>
        <canvas id="graficoInstagram" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Polaridade dos Tweets</h2>
        <canvas id="classificacao" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Relação de comentários por candidato geral</h2>
        <canvas id="myBar" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Relação de comentários por candidato antes segundo turno</h2>
        <canvas id="myBarBeforeSegundoTurno" class="chartjs-render-monitor"></canvas>
      </div>

      <div class="grafico">
        <h2>Relação de comentários por candidato antes primeiro turno</h2>
        <canvas id="myBarBeforePrimeiroTurno" class="chartjs-render-monitor"></canvas>
      </div>

  </div>

</div>

<hr>

<div class="container">
  <div class="row" style="overflow: auto">
    <div class="col-xs-12">
      <h2>Comentários</h2>
      <ul id="tabsJustified" class="nav nav-tabs">
        <li class="nav-item"><a href="" data-target="#geral" data-toggle="tab" class="nav-link small text-uppercase active">Geral</a></li>
        <li class="nav-item"><a href="" data-target="#bolsonaro" data-toggle="tab" class="nav-link small text-uppercase">Bolsonaro</a></li>
        <li class="nav-item"><a href="" data-target="#ciro" data-toggle="tab" class="nav-link small text-uppercase">Ciro</a></li>
        <li class="nav-item"><a href="" data-target="#alckmin" data-toggle="tab" class="nav-link small text-uppercase">Alckmin</a></li>
        <li class="nav-item"><a href="" data-target="#amoedo" data-toggle="tab" class="nav-link small text-uppercase">Amoedo</a></li>
        <li class="nav-item"><a href="" data-target="#marina" data-toggle="tab" class="nav-link small text-uppercase">Marina</a></li>
        <li class="nav-item"><a href="" data-target="#haddad" data-toggle="tab" class="nav-link small text-uppercase">Haddad</a></li>
      </ul>

      <div class="ibox-title">
        <div class="form-group mb-4 form-inline mt-3">
          <label>Ordenar Por: &nbsp;&nbsp;&nbsp;</label>
          <select class="form-control form-control-sm" [(ngModel)]="ordenacao" (change)="alterarOrdenacao()">
            <option value="recente">Mais Recentes</option>
            <option value="relevancia">Relevância</option>
          </select>
        </div>
      </div>

      <hr>

      <div id="tabsJustifiedContent" class="tab-content">
          <div id="geral" class="tab-pane fade active show">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="geral"></app-graficos-resultado>
          </div>
          <div id="bolsonaro" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="bolsonaro"></app-graficos-resultado>
          </div>
          <div id="ciro" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="ciro"></app-graficos-resultado>
          </div>
          <div id="alckmin" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="alckmin"></app-graficos-resultado>
          </div>
          <div id="amoedo" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="amoedo"></app-graficos-resultado>
          </div>
          <div id="marina" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="marina"></app-graficos-resultado>
          </div>
          <div id="haddad" class="tab-pane fade">
              <app-graficos-resultado [comentariosMongo]="comentariosMongo" [tipoDado]="haddad"></app-graficos-resultado>
          </div>
      </div>
    </div>
  </div>
</div>